apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "embedded-comments.fullname" . }}
  labels:
    {{- include "embedded-comments.labels" . | nindent 4 }}
spec:
{{- if not .Values.embeddedComments.autoscaling.enabled }}
  replicas: {{ .Values.embeddedComments.replicaCount }}
{{- end }}
  selector:
    matchLabels:
      {{- include "embedded-comments.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
    {{- with .Values.embeddedComments.podAnnotations }}
        {{- toYaml . | nindent 8 }}
    {{- end }}
      labels:
        {{- include "embedded-comments.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.embeddedComments.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    #   serviceAccountName: {{ include "embedded-comments.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.embeddedComments.podSecurityContext | nindent 8 }}
      containers:
        - name: embedded-comments
          securityContext:
            {{- toYaml .Values.embeddedComments.securityContext | nindent 12 }}
          image: "{{ .Values.embeddedComments.image.repository }}:{{ .Values.embeddedComments.image.tag }}"
          imagePullPolicy: {{ .Values.embeddedComments.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.embeddedComments.resources | nindent 12 }}
        #   volumeMounts:
        #     - name: configs
        #       mountPath: /etc/nginx/nginx.conf
        #       subPath: nginx.conf
      {{- with .Values.embeddedComments.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.embeddedComments.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.embeddedComments.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    #   volumes:
    #     - name: configs
    #       configMap: 
    #         name: {{ include "embedded-comments.fullname" . }}-embeddedComments